#include <bits/stdc++.h>
using namespace std;
int main() {
ios_base::sync_with_stdio(false);
cin.tie(NULL);
	int a, b, spolja;
	cin >> a >> b;
	spolja = 2*a + 2*(b-2);
	if (a<=2 or b<=2) {
		cout << a*b << '\n';
	}
	else {
		cout << spolja + (a*b - spolja)/2 << '\n';
	}
return 0;
}